package com.ym.mec.thirdpart.exception;

import com.ym.mec.util.string.MessageFormatter;

public class ThirdpartException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4562885563376566463L;

	public ThirdpartException() {
		super();
	}

	public ThirdpartException(String message) {
		super(message);
	}

	public ThirdpartException(Throwable cause) {
		super(cause);
	}

	public ThirdpartException(String message, Throwable cause) {
		super(message, cause);
	}

	public ThirdpartException(String message, Object... arguments) {
		super(MessageFormatter.arrayFormat(message, arguments));
	}

	public ThirdpartException(String message, Throwable cause, Object... args) {
		super(MessageFormatter.arrayFormat(message, args), cause);
	}

}
