package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.dto.TreeDto;
import com.ym.mec.web.dal.entity.SysArea;
import com.ym.mec.web.dal.enums.YesOrNoEnum;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysAreaDao extends BaseDAO<Integer, SysArea> {

    /**
     * 根据父节点获取子节点列表
     * @param parentId
     * @param delFlag
     * @return
     */
    List<SysArea> findRootList(@Param("parentId") Integer parentId, @Param("delFlag") YesOrNoEnum delFlag);
}