package com.ym.mec.web.dal.dto;

import com.ym.mec.web.dal.entity.ClassGroup;
import com.ym.mec.web.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.web.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 提交班
 */
public class HighClassGroup extends ClassGroup {

	@ApiModelProperty(value = "教师user_id",required = true)
	private int userId;

	@ApiModelProperty(value = "星期几",required = true)
	private String week;

	@ApiModelProperty(value = "开始时间",required = true)
	private Date startClassTime;

	@ApiModelProperty(value = "结束时间",required = true)
	private Date endClassTime;


	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public String getWeek() {
		return week;
	}

	public void setWeek(String week) {
		this.week = week;
	}

	public Date getStartClassTime() {
		return startClassTime;
	}

	public void setStartClassTime(Date startClassTime) {
		this.startClassTime = startClassTime;
	}

	public Date getEndClassTime() {
		return endClassTime;
	}

	public void setEndClassTime(Date endClassTime) {
		this.endClassTime = endClassTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
