package com.ym.mec.web.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_default_music_group_salary):
 */
public class TeacherDefaultMusicGroupSalary {

	/**  */
	private Long id;
	
	/**  */
	private Integer userId;
	
	/** 班级类型（参照 class_group表的type_字段） */
	private String classGroupType;
	
	/**  */
	private Integer subjectId;
	
	/** 主教薪酬 */
	private long mainTeacherSalary;
	
	/** 助教薪酬 */
	private long assistantTeacherSalary;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setClassGroupType(String classGroupType){
		this.classGroupType = classGroupType;
	}
	
	public String getClassGroupType(){
		return this.classGroupType;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setMainTeacherSalary(long mainTeacherSalary){
		this.mainTeacherSalary = mainTeacherSalary;
	}
	
	public long getMainTeacherSalary(){
		return this.mainTeacherSalary;
	}
			
	public void setAssistantTeacherSalary(long assistantTeacherSalary){
		this.assistantTeacherSalary = assistantTeacherSalary;
	}
	
	public long getAssistantTeacherSalary(){
		return this.assistantTeacherSalary;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
