package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.ClassGroupStudentMapperDao;
import com.ym.mec.web.dal.entity.ClassGroupStudentMapper;
import com.ym.mec.web.service.ClassGroupStudentMapperService;

import java.util.List;

@Service
public class ClassGroupStudentMapperServiceImpl extends BaseServiceImpl<Long, ClassGroupStudentMapper>  implements ClassGroupStudentMapperService {
	
	@Autowired
	private ClassGroupStudentMapperDao classGroupStudentMapperDao;

	@Override
	public BaseDAO<Long, ClassGroupStudentMapper> getDAO() {
		return classGroupStudentMapperDao;
	}

    @Override
    public int classGroupStudentsInsert(List<ClassGroupStudentMapper> classGroupStudentMapperList) {
		return classGroupStudentMapperDao.classGroupStudentsInsert(classGroupStudentMapperList);
    }
}