package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.CourseHomeworkDao;
import com.ym.mec.web.dal.entity.CourseHomework;
import com.ym.mec.web.service.CourseHomeworkService;

@Service
public class CourseHomeworkServiceImpl extends BaseServiceImpl<Long, CourseHomework>  implements CourseHomeworkService {
	
	@Autowired
	private CourseHomeworkDao courseHomeworkDao;

	@Override
	public BaseDAO<Long, CourseHomework> getDAO() {
		return courseHomeworkDao;
	}
	
}