package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.StudentPaymentOrderDao;
import com.ym.mec.web.dal.entity.StudentPaymentOrder;
import com.ym.mec.web.service.StudentPaymentOrderService;

@Service
public class StudentPaymentOrderServiceImpl extends BaseServiceImpl<Long, StudentPaymentOrder>  implements StudentPaymentOrderService {
	
	@Autowired
	private StudentPaymentOrderDao studentPaymentOrderDao;

	@Override
	public BaseDAO<Long, StudentPaymentOrder> getDAO() {
		return studentPaymentOrderDao;
	}
	
}