package com.ym.mec.web.service.impl;

import com.ym.mec.web.dal.enums.ClassGroupTypeEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.TeacherDefaultMusicGroupSalaryDao;
import com.ym.mec.web.dal.entity.TeacherDefaultMusicGroupSalary;
import com.ym.mec.web.service.TeacherDefaultMusicGroupSalaryService;

@Service
public class TeacherDefaultMusicGroupSalaryServiceImpl extends BaseServiceImpl<Long, TeacherDefaultMusicGroupSalary>  implements TeacherDefaultMusicGroupSalaryService {
	
	@Autowired
	private TeacherDefaultMusicGroupSalaryDao teacherDefaultMusicGroupSalaryDao;

	@Override
	public BaseDAO<Long, TeacherDefaultMusicGroupSalary> getDAO() {
		return teacherDefaultMusicGroupSalaryDao;
	}

	@Override
    public TeacherDefaultMusicGroupSalary getTeacherSalaryByUserIdAndType(int userId,ClassGroupTypeEnum classGroupType) {
        return teacherDefaultMusicGroupSalaryDao.getTeacherSalaryByUserIdAndType(userId, classGroupType);
    }
}