package com.ym.mec.web.service.impl;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.TeacherSchoolDao;
import com.ym.mec.web.dal.entity.TeacherSchool;
import com.ym.mec.web.service.TeacherSchoolService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class TeacherSchoolServiceImpl extends BaseServiceImpl<Long, TeacherSchool> implements TeacherSchoolService {
	
	@Autowired
	private TeacherSchoolDao teacherSchoolDao;

	@Override
	public BaseDAO<Long, TeacherSchool> getDAO() {
		return teacherSchoolDao;
	}
	
}