package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.ClassGroupRelation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassGroupRelationDao extends BaseDAO<Integer, ClassGroupRelation> {


    /**
     * 批量插入班级关联关系
     * @param classGroupRelationList
     * @return
     */
    int classGroupRelationsInsert(@Param("classGroupRelationList") List<ClassGroupRelation> classGroupRelationList);
}