package com.ym.mec.web.service;

import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.entity.Goods;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GoodsService extends BaseService<Integer, Goods> {

    /**
     * 通过科目编号查询商品(教材、辅件)列表
     * @param subjectId
     * @return
     */
    List<Goods> findGoodsBySubId(Integer subjectId,Integer goodsCategoryId);

    /**
     * 根据商品分类id查找商品数量
     * @param goodsCategoryId
     * @return
     */
    int findGoodsNumByCategoryId(@Param("goodsCategoryId") Integer goodsCategoryId);

}