package com.ym.mec.web.service;

import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.dto.TreeDto;
import com.ym.mec.web.dal.entity.SysArea;
import com.ym.mec.web.dal.page.OrganizationQueryInfo;

import java.util.List;

public interface SysAreaService extends BaseService<Integer, SysArea> {

    /**
     * 获取区域列表
     * @param treeDto
     * @return
     */
    List<SysArea> queryTreePage(TreeDto treeDto);

    /**
     * 根据父节点查询下一级子节点列表（不递归）
     * @param treeDto
     * @return
     */
    List<SysArea> queryChild(TreeDto treeDto);
}