package com.ym.mec.web.service;

import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.entity.TeacherDefaultMusicGroupSalary;
import com.ym.mec.web.dal.enums.ClassGroupTypeEnum;

public interface TeacherDefaultMusicGroupSalaryService extends BaseService<Long, TeacherDefaultMusicGroupSalary> {


    /**
     * 获取老师对应课程类型的课酬
     * @param userId
     * @param classGroupType
     * @return
     */
    TeacherDefaultMusicGroupSalary getTeacherSalaryByUserIdAndType(int userId,ClassGroupTypeEnum classGroupType);
}