package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.HotWordsLabelDao;
import com.ym.mec.web.dal.entity.HotWordsLabel;
import com.ym.mec.web.service.HotWordsLabelService;

@Service
public class HotWordsLabelServiceImpl extends BaseServiceImpl<Integer, HotWordsLabel>  implements HotWordsLabelService {
	
	@Autowired
	private HotWordsLabelDao hotWordsLabelDao;

	@Override
	public BaseDAO<Integer, HotWordsLabel> getDAO() {
		return hotWordsLabelDao;
	}
	
}